Bug 66799 - [new port] cantus_3: GNOME2 tool for tagging and renaming MP3 and OGG/Vorbis files
Summary: [new port] cantus_3: GNOME2 tool for tagging and renaming MP3 and OGG/Vorbis ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-18 13:00 UTC by Akifyev Sergey
Modified: 2004-12-04 19:16 UTC (History)
0 users

See Also:


Attachments
cantus_3.sh (5.04 KB, text/plain)
2004-05-18 13:00 UTC, Akifyev Sergey
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Akifyev Sergey 2004-05-18 13:00:24 UTC
[description ripped from audio/cantus]

Cantus is an easy to use tool for tagging and renaming MP3 and OGG/Vorbis files.It has many features including mass tagging and renaming of MP3s, the ability togenerate a tag out of the filename, filter definitions for renaming, recursive
actions, CDDB (Freedb) lookup (no CD needed), copy between ID3V1 and ID3V2 tags,and a lot more.

WWW: http://www.debain.org/?session=&site=2&project=3
Comment 1 Akifyev Sergey 2004-06-04 10:15:59 UTC
The following patch:
 * breaks cantus_3 for -STABLE (doesn't build yet)
 * makes port portlint-happy

Happy tagging :)

======= begin cantus_3.diff ========
diff -ruN cantus_3.orig/Makefile cantus_3/Makefile
--- cantus_3.orig/Makefile	Fri Jun  4 12:03:30 2004
+++ cantus_3/Makefile	Fri Jun  4 12:06:00 2004
@@ -15,7 +15,6 @@
 COMMENT=	Tool for tagging and renaming MP3 and OGG/Vorbis files
 
 BUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash2
-
 LIB_DEPENDS=	gtkmm-2.0.6:${PORTSDIR}/x11-toolkits/gtk--2 \
 		glademm-2.0.1:${PORTSDIR}/devel/libglademm \
 		ogg.5:${PORTSDIR}/audio/libogg \
@@ -25,6 +24,12 @@
 USE_GNOME=	gnomehack libglade2
 USE_X_PREFIX=	yes
 
+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} < 500000
+IGNORE=		Does not build on -STABLE. Yet...
+.endif
+
 CD?=		cd
 BASH?=		bash
 
@@ -34,4 +39,4 @@
 do-install:
 	@${CD} ${WRKSRC} && ${BASH} build.sh --install --prefix '${PREFIX}'
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
======== end cantus_3.diff =========


-- 
regards,
Sergey Akifyev <asa@gascom.ru>
JSC Gascom <http://www.gascom.ru>
PGP key available from:
ftp://ftp.gascom.ru/pub/PGP-keys/asa.txt
Comment 2 Adam Weinberger freebsd_committer 2004-12-04 19:14:16 UTC
State Changed
From-To: open->closed

New port added, with some small modifications. 

The most significant modification is that I've added the 
author's server as a MASTER_SITE. He has it protected from 
behind a download counter script, so please check that 
what I've done is okay. If you think I should remove that 
site from MASTER_SITES, please let me know. 

Thanks for porting this! I've been anxiously awaiting it.